function im=gtnewGetMeanFullImage(ndx)
% returns the mean full direct beam corresponding to a given difspot

% modified December 2006 to support database
parameters=[];
% global difspot

if isempty(parameters)
  disp('Loading parameter file')
  load('parameters.mat');
end
%if isempty(difspot)
%  disp('Loading difspot file')
%  load('2_difspot/difspot.mat');
%end

% connect to database
gtDBConnect

im=zeros(parameters.acq.bb(4), parameters.acq.bb(3));
mysqlcmd=sprintf('select ExtStartImage,ExtEndImage from %sdifspot where difspotID=%d',parameters.acq.name,ndx);

[ExtStartImage,ExtEndImage]=mym(mysqlcmd);

fprintf('%d images in sum\n',ExtEndImage-ExtStartImage+1);

for i=ExtStartImage:ExtEndImage
  im = im + edf_read(sprintf('1_preprocessed/full/full%04d.edf',i), parameters.acq.bb);
end
im=im/(ExtEndImage-ExtStartImage+1);
end
