function samgeo = gtGeoSamDefaultParameters()
% GTGEOSAMDEFAULTPARAMETERS Stores and returns the default Sample geomtery 
% parameters.
%
%     samgeo = gtGeoSamDefaultParameters(acq)
%     ---------------------------------------
%     The default Sample reference is set as the Lab but rotating with the 
%     sample. Voxel size is 1 lab unit.
% 

samgeo.orig    = [0 0 0]; 
samgeo.dirx    = [1 0 0]; 
samgeo.diry    = [0 1 0]; 
samgeo.dirz    = [0 0 1];
samgeo.voxsize = [1 1 1];

end
