function [x1,y1,nx,ny]=gtChangeARTbb(grainid);
%to interactively change the ART ROI.
%update new bb and center in .mat

filename=sprintf('4_grains/grain%d_/grain%d_.mat',grainid,grainid);
tmp=load(filename);

zcenter=tmp.zcenter;
im=gtBackproGrain(grainid,zcenter);

imshow(im,[])
hold on

  disp('click the top-right, and then bottom-left corners for ROI')
  points=ginput(2);
  plot(points(1,1),points(1,2),'rx')
  plot(points(2,1),points(2,2),'gx')
  
x1=round(points(1,1));
y1=round(points(1,2));
nx=round(points(2,1)-x1);
ny=round(points(2,2)-y1);
xcenter=round(x1+(nx/2));
ycenter=round(y1+(ny/2));


save(filename, 'x1','y1','nx','ny','xcenter','ycenter', '-append')

