% function rm=roll(matrix,r,c)
% cycles a matrix (or vector) r rows down and c columns to the right
% rm(i,j)=rm(i-r,j-c)
% origin: peter

function rm=roll(matrix,r,c)
[n,m]=size(matrix);


if r>0
      rm=[matrix(n-r+1:n,:) ; matrix(1:n-r,:)];
elseif r<0
      rm=[matrix(1-r:n,:) ; matrix(1:-r,:)];
else
      rm=matrix;
end

if c>0
      rm=[rm(:,m-c+1:m) rm(:,1:m-c)];
elseif c<0
      rm=[rm(:,1-c:m) rm(:,1:-c)];
end








